## org.apache.myfaces.custom.tree.renderkit.html
Class HtmlTreeRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTableRendererBase
                  org.apache.myfaces.custom.tree.renderkit.html.HtmlTreeRenderer

public class HtmlTreeRenderer
extends HtmlTableRendererBase

Version:
  $Revision: 239380 $ $Date: 2005-08-23 05:11:59 -0400 (Tue, 23 Aug 2005) $
Author:
  Oliver Rossmueller

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase
`FOOTER_FACET_NAME, HEADER_FACET_NAME`

Constructor Summary
`HtmlTreeRenderer()`

Method Summary
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected java.lang.String` `getLayoutImage(HtmlTree tree, int state)`
`boolean` `getRendersChildren()`
`protected void` `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, HtmlTree tree, java.util.List children, int maxLevel, IconProvider iconProvider, int rowClassIndex, javax.faces.component.UIComponent component)` Renders the children given the rowClassIndex.
`protected void` `renderChildren(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, HtmlTree tree, java.util.List children, int maxLevel, IconProvider iconProvider, javax.faces.component.UIComponent component)` Renders the children.
`protected void` `renderColumnFooterRow(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, java.lang.String footerStyleClass, int maxLevel)`
`protected void` `renderColumnHeaderRow(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, java.lang.String headerStyleClass, int maxLevel)`
`protected void` `renderFacet(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, boolean header, int maxLevel)` Overrides super renderFacet to render the `HtmlTree` facets.
`protected void` `renderTreeColumnChild(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, HtmlTree tree, HtmlTreeNode child, int maxLevel, IconProvider iconProvider)` Render the column where the tree is displayed.

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlTableRendererBase

`afterRow, afterTable, beforeRow, beforeTable, decode, determineChildColSpan, encodeColumnChild, encodeInnerHtml, getFooterClass, getHeaderClass, hasFacet, renderColumnBody, renderColumnChildHeaderOrFooterRow, renderColumnFooterCell, renderColumnFooterCell, renderColumnFooterRow, renderColumnHeaderCell, renderColumnHeaderCell, renderColumnHeaderRow, renderFacet, renderRowEnd, renderRowStart, renderRowStyle, renderTableFooterRow, renderTableHeaderRow`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTreeRenderer

    public HtmlTreeRenderer()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `HtmlTableRendererBase`
  See Also:
    `Renderer.getRendersChildren()`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeBegin(FacesContext, UIComponent)`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeChildren(FacesContext, UIComponent)`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `HtmlTableRendererBase`
  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeEnd(FacesContext, UIComponent)`

### renderFacet

    protected void renderFacet(javax.faces.context.FacesContext facesContext,
                               javax.faces.context.ResponseWriter writer,
                               javax.faces.component.UIComponent component,
                               boolean header,
                               int maxLevel)
                        throws java.io.IOException

  Overrides super renderFacet to render the `HtmlTree` facets.

  Parameters:
    `facesContext` - The facesContext
    `writer` - The writer.
    `component` - The component.
    `header` - Whether there is a header.
    `maxLevel` - The max level for the rendered tree.
  Throws:
    `java.io.IOException` - Throws IOException.

### renderColumnHeaderRow

    protected void renderColumnHeaderRow(javax.faces.context.FacesContext facesContext,
                                         javax.faces.context.ResponseWriter writer,
                                         javax.faces.component.UIComponent component,
                                         java.lang.String headerStyleClass,
                                         int maxLevel)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderColumnFooterRow

    protected void renderColumnFooterRow(javax.faces.context.FacesContext facesContext,
                                         javax.faces.context.ResponseWriter writer,
                                         javax.faces.component.UIComponent component,
                                         java.lang.String footerStyleClass,
                                         int maxLevel)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderChildren

    protected void renderChildren(javax.faces.context.FacesContext facesContext,
                                  javax.faces.context.ResponseWriter writer,
                                  HtmlTree tree,
                                  java.util.List children,
                                  int maxLevel,
                                  IconProvider iconProvider,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

  Renders the children.

  Parameters:
    `facesContext` - The facesContext.
    `writer` - The writer.
    `tree` - The tree component.
    `children` - The children to render.
    `maxLevel` - The maximum level.
    `iconProvider` - The icon provider.
  Throws:
    `java.io.IOException` - Throws an IOException.

### renderChildren

    protected void renderChildren(javax.faces.context.FacesContext facesContext,
                                  javax.faces.context.ResponseWriter writer,
                                  HtmlTree tree,
                                  java.util.List children,
                                  int maxLevel,
                                  IconProvider iconProvider,
                                  int rowClassIndex,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

  Renders the children given the rowClassIndex.

  Parameters:
    `facesContext` - The facesContext.
    `writer` - The writer.
    `tree` - The tree component.
    `children` - The children to render.
    `maxLevel` - The maximum level.
    `iconProvider` - The icon provider.
    `rowClassIndex` - The row class index.
  Throws:
    `java.io.IOException` - Throws an IOException.

### renderTreeColumnChild

    protected void renderTreeColumnChild(javax.faces.context.FacesContext facesContext,
                                         javax.faces.context.ResponseWriter writer,
                                         javax.faces.component.UIComponent component,
                                         HtmlTree tree,
                                         HtmlTreeNode child,
                                         int maxLevel,
                                         IconProvider iconProvider)
                                  throws java.io.IOException

  Render the column where the tree is displayed.

  Parameters:
    `facesContext` - The facesContext.
    `writer` - The writer.
    `component` - The component that will contain the tree. Null for default tree or `HtmlTreeColumn`for table rendering.
    `tree` - The tree,
    `child` - The tree node child.
    `maxLevel` - The max number of levels.
    `iconProvider` - The iconProvider.
  Throws:
    `java.io.IOException` - Throws IOException.

### getLayoutImage

    protected java.lang.String getLayoutImage(HtmlTree tree,
                                              int state)